import { defineConfig } from "umi";

export default defineConfig({
  routes: [
    { path: "/", redirect: "/main" },
    { path: "/main", component: "main" },
    { path: "/report", component: "report" },
    { path: "/locationSearch", component: "locationSearch" },
    { path: "/historyDetail", component: "historyDetail" },
    { path: "/historyList", component: "historyList" },
  ],
  plugins: ["@umijs/plugins/dist/model", "@umijs/plugins/dist/request"],
  title: "上报",
  /** 开启全局数据流 */
  model: {},
  request: {},
  proxy: {
    "/apis/": {
      target: "http://218.89.61.103:7070/",
      changeOrigin: true,
      pathRewrite: { "^/apis": "" },
    },
  },
  hash: true,
  npmClient: "yarn",
});
