#!/bin/bash
git checkout $gitTag

repo=registry.hncy.info/hncy/matter-report-h5
tag=${1:-$gitTag}
echo $tag
git submodule update --init --recursive
if [ ! -f regist-to-eureka/reg2eureka.sh ]; then
    exit 1
fi
rm -rf dist
tyarn
tyarn build
docker build -f Dockerfile -t $repo:$tag .
docker push $repo:$tag
